Gnome2::Thumbnail(3)

NAME
Gnome2::Thumbnail

METHODS

  boolean = $pixbuf->has_uri ($uri)

•   $uri (string)

  boolean = $pixbuf->is_valid ($uri, $mtime)

•   $uri (string)

•   $mtime (a timestamp)

  string = Gtk2::Gdk::Pixbuf->md5 ($uri)

•   $uri (string)

  string = Gtk2::Gdk::Pixbuf->path_for_uri ($uri, $size)

•   $uri (string)

•   $size (Gnome2::ThumbnailSize)

  pixbuf = $pixbuf->scale_down_pixbuf ($dest_width, $dest_height)

•   $dest_width (integer)

•   $dest_height (integer)

ENUMS AND FLAGS

  enum Gnome2::ThumbnailSize

•   'normal' / 'GNOME_THUMBNAIL_SIZE_NORMAL'

•   'large' / 'GNOME_THUMBNAIL_SIZE_LARGE'

SEE ALSO
Gnome2

COPYRIGHT
Copyright (C) 2003-2004 by the gtk2-perl team.

This software is licensed under the LGPL. See Gnome2 for a full notice.